## org.ggf.drmaa
Class InternalException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.ggf.drmaa.DrmaaRuntimeException
                      org.ggf.drmaa.InternalException

All Implemented Interfaces:
  java.io.Serializable

public class InternalException
extends DrmaaRuntimeException

Unexpected or internal DRMAA error like memory allocation, system call failure, etc.

Since:
  0.4.2
Author:
  dan.templeton@sun.com
See Also:
  Serialized Form

Constructor Summary
`InternalException()` Creates a new instance of `InternalException` without detail message.
`InternalException(java.lang.String msg)` Constructs an instance of `InternalException` with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InternalException

    public InternalException()

  Creates a new instance of `InternalException` without detail message.

### InternalException

    public InternalException(java.lang.String msg)

  Constructs an instance of `InternalException` with the specified detail message.

Parameters:
  `msg` - the detail message.